# just some maintainer stuff for me ...
########################################################################

make-sync-dir = $(HOME)/src/gnu-make
snapshot-dir  = $(HOME)/snapshot
snapshot-date = $(shell date +%Y%m%d)
snapshot-name = $(snapshot-dir)/$(PACKAGE)-$(snapshot-date).tar.gz

.PHONY: sync checkit release port tarball dist rpm
sync:: distclean
	test -d $(make-sync-dir)
	rm -f INSTALL mk/*.mk
	cp -v $(make-sync-dir)/INSTALL .
	cp -v $(make-sync-dir)/*.mk mk
	chmod 444 INSTALL mk/*.mk

checkit: realclean
	dpkg-buildpackage -tc -us -uc -rfakeroot
	lintian ../$(PACKAGE)_*.changes

release: realclean
	dpkg-buildpackage -tc -rfakeroot

port:
	dpkg-buildpackage -b -tc -rfakeroot

tarball dist: realclean
	(cd ..; tar czf $(TARBALL) $(DIR))

snapshot: realclean
	(cd ..; tar czf $(snapshot-name) $(DIR))

rpm: tarball
	rpm -ta ../$(TARBALL)

